← OBPv7.0.0 Create Address POST /obp/v7.0.0/banks/BANK_ID/customers/CUSTOMER_ID/address OBPv3.1.0-createCustomerAddress Roles: CanCreateCustomerAddress(per bank) Customer Create an Address for a Customer specified by CUSTOMER_ID. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh JSON request body fields (10) city country_code 1254county line_1 line_2 line_3 postcode state status tags Create-My-User JSON response body fields (13) city country_code 1254county customer_address_id customer_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhinsert_date 2020-01-27line_1 line_2 line_3 postcode state status tags Create-My-User Example request body { "line_1": "No 1 the Road", "line_2": "The Place", "line_3": "The Hill", "city": "Berlin", "county": "", "state": "Brandenburg", "postcode": "13359", "country_code": "DE", "tags": [ "mailing", "home" ], "status": "OK" } Example success response { "customer_address_id": "5995d6a2-01b3-423c-a173-5481df49bdaf", "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "line_1": "No 1 the Road", "line_2": "The Place", "line_3": "The Hill", "city": "Berlin", "county": "", "state": "Brandenburg", "postcode": "13359", "country_code": "DE", "tags": [ "mailing", "home" ], "status": "OK", "insert_date": "1100-01-01T00:00:00Z" } Possible errors (5) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.OBP-50000: Unknown Error.